Subject: Re: [TLS] draft-mcgrew-tls-aes-ccm-ecc

From: "Reddy, Joseph" <[email-masked]>
Date: Wed, 24 Apr 2013 22:54:41 +0000

+1

-Regards, Joseph

Hi Sean,

I too agree with the comments provided by Paul Hoffman, Russ, David and Paul Duffy and also feel the conservative MTI curves specified in the draft promote interoperability.

Robert

On 24/04/2013 06:23, Paul Duffy wrote:
Hi Sean

I agree with the comments offered by Paul, Russ, and David.

FYI, whatever normative dependency exists between CoAP and this draft, several efforts of the Zigbee Alliance also have normative references to this draft (Zigbee IP and Smart Energy Profile 2). The draft was triggered by SEP2's extensive vetting for an ECC standard for LLNs. The Zigbee products are undergoing certification and initial deployments are expected to begin this year.

Cheers

On 4/23/2013 5:05 PM, Russ Housley wrote:
Sean:

I do not think this out to include the MTI curve. I would greatly prefer that COAP make use of one of the curves that is already specified. I think a strong reason is needed to specify more curves; the specification of too many will reduce interoperability.

Russ

On Apr 23, 2013, at 1:16 PM, Sean Turner wrote:

Hi,

I've been asked to shepherd this document. It's a normative reference for the core COAP WG specification.

My question is whether this draft should include an MTI curve or whether that should be left up to the application. I ask because no other EC TLS cipher suite picks a curve.

spt
_______________________________________________
TLS mailing list
TLS at ietf.org
https://www.ietf.org/mailman/listinfo/tls

_______________________________________________
TLS mailing list
TLS at ietf.org
https://www.ietf.org/mailman/listinfo/tls